Loading...
Searching...
No Matches
base_pairing.h File Reference

Contains the Gudhi::persistence_matrix::Base_pairing class and Gudhi::persistence_matrix::Dummy_base_pairing structure. More...

Go to the source code of this file.

## Classes

struct | Gudhi::persistence_matrix::Dummy_base_pairing
| Empty structure. Inherited instead of Base_pairing, when the computation of the barcode was not enabled or if the pairing is already managed by the vine update classes. More...
class | Gudhi::persistence_matrix::Base_pairing< Master_matrix >
| Class managing the barcode for Boundary_matrix if the option was enabled. More...

## Namespaces

namespace | Gudhi
| Gudhi namespace.
namespace | Gudhi::persistence_matrix
| Persistence matrix namespace.

## Detailed Description

Contains the Gudhi::persistence_matrix::Base_pairing class and Gudhi::persistence_matrix::Dummy_base_pairing structure.

Author
  Hannah Schreiber